Replace service productAsk AIput https://restapi.rev.io/v1/ServiceProduct/{id}Replace an existing service product.Body ParamsThe replacement service product. Status of disconnect is not allowed. Rate and Quantity cannot be changed while status is changed.effective_datedate-timeDate when this change will take effect in the billing cycle. If not set, Effective Date will be the date of the change.generate_prorationbooleanrequiredIndicates whether billing should take into account the exact effective date and create prorated charges if applicable.truefalseservice_product_idint32Primary identifier for this service product.customer_idint32ID of associated customer account.product_idint32required1 to 2147483647ID of source product from catalog.package_idint320 to 2147483647ID of the package of which this product is a member.service_idint32required1 to 2147483647ID of the associated service.descriptionstringlength between 0 and 500Contains the description of the product that will display on the bill.code_1stringlength between 0 and 500Supports provisioning codes for electronic ordering and provisioning with providers (i.e. USOC). This will be different for all electronic provisioning integrations.code_2stringlength between 0 and 500Used for ordering and provisioning with providers (i.e. FID). This will be different for all electronic provisioning integrations.ratedoubleRate that will be passed on to the customer. Please use only positive numbers. Use the credit_flag field to pass a credit product.billed_through_datedate-timeThe last day a customer was billed for this product.canceled_datedate-timeThe effective day of cancellation.statusstringenumThe current status of the service product.PENDINGACTIVEDENIEDDISCONNECTEDAllowed:PENDINGACTIVEDENIEDDISCONNECTEDstatus_datedate-timeThe date this service product entered its current status.status_user_idint320 to 2147483647ID of the user responsible for the product's current status.activated_datedate-timeDate this product became active or billable.costdoubleYour company's cost for this service product. Used in relation to Rate to calculate margin.wholesale_descriptionstringlength between 0 and 255A secondary description of the product, typically related to provider-side naming. Not visible to end users through typical means, but may be exposed via reporting at your discretion.free_start_datedate-timeNotes the start of a time frame for which this product is free.free_end_datedate-timeNotes the end of a time frame for which this product is free.quantityint321 to 2147483647Number of this type of product provided to end user. This is multiplied by the Rate field when calculating a recurring charge.contract_start_datedate-timeBeginning date for a contract to provide this service product.contract_end_datedate-timeEnding date for a contract to provide this service product.automatic_expiration_end_datedate-timeEnding date for the automatic expiration for this service product.created_datedate-timeThe date this service product was added to the system.tax_includedbooleanIndicates total amount of charge should not exceed the value in rate. The base amount is adjusted dynamically on charges produced each month, to ensure base + tax = rate.truefalsegroup_on_billbooleanApplicable only to products that are a part of a package. Indicates this product's rate should be grouped into a sum package amount when displayed on a bill.truefalseitemizedbooleanApplicable only to products that are a part of a package and grouped. Indicates that, although their price is grouped, the name of the product will still show indented underneath on the bill, but with no individual price displayed.truefalsecredit_flagbooleanDetermines the type of service product.truefalsefieldsarray of objectsList of custom fields and their values.fieldsADD objectMetadataidint32requiredID of the service product to replace.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/htmltext/jsonAllowed:application/jsontext/htmltext/jsonResponses 200OK 400BadRequest 500InternalServerErrorUpdated 6 months ago